Package org.apache.sling.testing.mock.sling.servlet

# Class MockServletContext

java.lang.Object
org.apache.sling.servlethelpers.MockServletContext
org.apache.sling.testing.mock.sling.servlet.MockServletContext

All Implemented Interfaces:
  `javax.servlet.ServletContext`

public final class MockServletContext extends org.apache.sling.servlethelpers.MockServletContext
Mock `ServletContext` implementation.

## Field Summary

### Fields inherited from interface javax.servlet.ServletContext

`ORDERED_LIBS, TEMPDIR`

## Constructor Summary

Constructors
Constructor
Description
`MockServletContext()`

## Method Summary

### Methods inherited from class org.apache.sling.servlethelpers.MockServletContext

`addFilter, addFilter, addFilter, addListener, addListener, addListener, addServlet, addServlet, addServlet, createFilter, createListener, createServlet, declareRoles, getAttribute, getAttributeNames, getClassLoader, getContext, getContextPath, getDefaultSessionTrackingModes, getEffectiveMajorVersion, getEffectiveMinorVersion, getEffectiveSessionTrackingModes, getFilterRegistration, getFilterRegistrations, getInitParameter, getInitParameterNames, getJspConfigDescriptor, getMajorVersion, getMimeType, getMinorVersion, getNamedDispatcher, getRealPath, getRequestDispatcher, getResource, getResourceAsStream, getResourcePaths, getServerInfo, getServlet, getServletContextName, getServletNames, getServletRegistration, getServletRegistrations, getServlets, getSessionCookieConfig, getVirtualServerName, log, log, log, removeAttribute, setAttribute, setInitParameter, setSessionTrackingModes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.ServletContext

`addJspFile, getRequestCharacterEncoding, getResponseCharacterEncoding, getSessionTimeout, setRequestCharacterEncoding, setResponseCharacterEncoding, setSessionTimeout`

## Constructor Details

### MockServletContext

public MockServletContext()